Summary: Execution wrapper for non-X applications
Name: OffiX-Execute
Version: 2.4a
Release: 1
Source: ftp.leb.net:/pub/offix/Execute-2.4a.tar.gz
Patch: Execute-2.4a-Xaw3d-patch
BuildRoot: /tmp/OffiX-Execute-build
Copyright: GPL
Group: X11/Applications

%description
Execute is a simple tool that work as a wrapper to non-X applications. It
redirects stdout/stderr of application to an X window. From that window the
user is able to abort the running program, to quit completely or to restart
the application.

%prep
%setup -n Execute-2.4a
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mkdir $RPM_BUILD_ROOT/usr/X11R6/bin
install -c -m 755 -s execute $RPM_BUILD_ROOT/usr/X11R6/bin
install -c -m 644 Execute.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Execute

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING INSTALL README THANKS
/usr/X11R6/bin/execute
%config /usr/X11R6/lib/X11/app-defaults/Execute
